package com.srs.comprehensive.service.impl;

import java.util.List;

import com.srs.comprehensive.domain.CphTerm;
import com.srs.comprehensive.mapper.CphTermMapper;
import com.srs.comprehensive.service.ICphTermService;
import com.srs.diagnostic.domain.DiaReportRelease;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * 学期Service业务层处理
 * 
 * @author srs
 * @date 2023-08-22
 */
@Service
public class CphTermServiceImpl implements ICphTermService
{
    @Autowired
    private CphTermMapper cphTermMapper;

    /**
     * 查询学期
     *
     * @param id 学期主键
     * @return 学期
     */
    @Override
    public CphTerm selectCphTermById(Long id) {
        return cphTermMapper.selectCphTermById(id);
    }

    /**
     * 查询学期列表
     *
     * @param cphTerm 学期
     * @return 学期
     */
    @Override
    public List<CphTerm> selectCphTermList(CphTerm cphTerm) {
        return cphTermMapper.selectCphTermList(cphTerm);
    }

    /**
     * 新增学期
     *
     * @param cphTerm 学期
     * @return 结果
     */
    @Override
    public int insertCphTerm(CphTerm cphTerm) {
        return cphTermMapper.insertCphTerm(cphTerm);
    }

    /**
     * 修改学期
     *
     * @param cphTerm 学期
     * @return 结果
     */
    @Override
    public int updateCphTerm(CphTerm cphTerm) {
        return cphTermMapper.updateCphTerm(cphTerm);
    }

    /**
     * 批量删除学期
     *
     * @param ids 需要删除的学期主键
     * @return 结果
     */
    @Override
    public int deleteCphTermByIds(Long[] ids) {
        return cphTermMapper.deleteCphTermByIds(ids);
    }

    /**
     * 删除学期信息
     *
     * @param id 学期主键
     * @return 结果
     */
    @Override
    public int deleteCphTermById(Long id) {
        return cphTermMapper.deleteCphTermById(id);
    }
    /**
     * 绑定下拉框
     *
     * @param
     * @return 结果
     */
    public List<CphTerm> xlkterm_name() {
        return cphTermMapper.xlkterm_name();
    }

}
